Package com.gpudb.protocol
Class CreateProjectionRequest.Options
java.lang.Object
com.gpudb.protocol.CreateProjectionRequest.Options
Enclosing class:
A set of string constants for the
CreateProjectionRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringIndicates the target maximum data size for each column in a chunk to be used for this projection.static final StringIndicates the target maximum data size for all columns in a chunk to be used for this projection.static final StringIndicates the number of records per chunk to be used for this projection.static final String[DEPRECATED—please specify the containing schema for the projection as part ofprojectionNameand useGPUdb.createSchemato create the schema if non-existent] Name of a schema for the projection.static final StringThe default compression codec for the projection’s columns.static final StringComma-separated list of columns on which to create indexes on the projection.static final StringIfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place ofprojectionName.static final StringAn optional filter expression to be applied to the source table prior to the projection.static final Stringstatic final StringUse hash partitioning.static final Stringstatic final StringIfTRUE, a new partition will be created for values which don’t fall into an existing partition.static final StringIfTRUEthen the projection will be replicated even if the source table is not.static final StringIf set, window functions which require a reshard will be computed separately and joined back together, if the width of the projection is greater than the join_window_functions_threshold.static final StringIf the projection is greater than this width (in bytes), then window functions which require a reshard will be computed separately and joined back together.static final StringThe number of records to keep.static final StringUse list partitioning.static final StringThe number of initial results to skip (this can be useful for paging through the results).static final StringComma-separated list of the columns to be sorted by; e.g. ‘timestamp asc, x desc’.static final StringComma-separated list of partition definitions, whose format depends on the choice ofPARTITION_TYPE.static final StringComma-separated list of partition keys, which are the columns or column expressions by which records will be assigned to partitions defined byPARTITION_DEFINITIONS.static final StringPartitioning scheme to use.static final StringIfTRUE, then the projection specified inprojectionNamewill be persisted and will not expire unless aTTLis specified.static final StringIfTRUE, then columns that were dict encoded in the source table will be dict encoded in the projection.static final StringAn optional filter expression applied to the projection after window function evaluation, equivalent to a SQL QUALIFY clause.static final StringUse range partitioning.static final StringDetermines whether the created projection will retain the partitioning scheme from the source table.static final StringUse series partitioning.static final StringComma-separated list of the columns to be sharded on; e.g. ‘column1, column2’.static final StringThe tier strategy for the table and its columns.static final Stringstatic final StringSets the TTL of the projection specified inprojectionName.static final StringID of view of which this projection is a member.
Field Details
CREATE_TEMP_TABLE
IfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place ofprojectionName. IfPERSISTisFALSE(or unspecified), then this is always allowed even if the caller does not have permission to create tables. The generated name is returned inQUALIFIED_PROJECTION_NAME. Supported values:The default value isFALSE.See Also:COLLECTION_NAME
[DEPRECATED—please specify the containing schema for the projection as part ofprojectionNameand useGPUdb.createSchemato create the schema if non-existent] Name of a schema for the projection. If the schema is non-existent, it will be automatically created. The default value is ”.See Also:EXPRESSION
An optional filter expression to be applied to the source table prior to the projection. The default value is ”.See Also:ORDER_BY
Comma-separated list of the columns to be sorted by; e.g. ‘timestamp asc, x desc’. The columns specified must be present incolumnNames. If any alias is given for any column name, the alias must be used, rather than the original column name. The default value is ”.See Also:CREATE_INDEXES
Comma-separated list of columns on which to create indexes on the projection. The columns specified must be present incolumnNames. If any alias is given for any column name, the alias must be used, rather than the original column name.See Also:SHARD_KEY
Comma-separated list of the columns to be sharded on; e.g. ‘column1, column2’. The columns specified must be present incolumnNames. If any alias is given for any column name, the alias must be used, rather than the original column name. The default value is ”.See Also:PARTITION_TYPE
Partitioning scheme to use. Supported values:RANGE: Use range partitioning.INTERVAL: Use interval partitioning.LIST: Use list partitioning.HASH: Use hash partitioning.SERIES: Use series partitioning.
See Also:PARTITION_KEYS
Comma-separated list of partition keys, which are the columns or column expressions by which records will be assigned to partitions defined byPARTITION_DEFINITIONS.See Also:PARTITION_DEFINITIONS
Comma-separated list of partition definitions, whose format depends on the choice ofPARTITION_TYPE. See range partitioning, interval partitioning, list partitioning, hash partitioning, or series partitioning for example formats.See Also:QUALIFY_FILTER
An optional filter expression applied to the projection after window function evaluation, equivalent to a SQL QUALIFY clause. May reference window function aliases as well as any other column in the projection. Rows for which the expression evaluates to false (or NULL) are removed from the projection. The default value is ”.See Also: